#ifndef AIR_MOVEMENT_PHYSICS_HPP_
#define AIR_MOVEMENT_PHYSICS_HPP_

#include <MovementPhysics/MovementPhysics.hpp>

/**
 * @brief Represents the movement physics in air.
 */
class AirMovementPhysics : public MovementPhysics
{
public:
    /**
     * @brief The singleton instance.
     */
    static AirMovementPhysics instance;

    virtual void updatePlayer(Player &player) override;

    virtual float getFriction() override;
    virtual float getGravity() override;
};

#endif